# Concept File Specification

The Concept File holds the clinical concepts that make up SNOMED CT. A concept is given meaning by its Fully Specified Name, which is held in the Description. A concept may be distinguished from or refined by association with other concepts using relationships, which are held in the Relationship.

#### Concept file - Detailed Specification

<table data-full-width="true"><thead><tr><th width="87.05624389648438">Field</th><th width="101.8343505859375">Data type</th><th width="355.3343505859375">Purpose</th><th width="99.2593994140625">Mutable</th><th>PK*</th></tr></thead><tbody><tr><td>id</td><td>SCTID</td><td>Uniquely identifies the concept.</td><td><mark style="color:red;"><strong>NO</strong></mark></td><td><mark style="color:green;"><strong>YES</strong></mark> (Full/Snapshot)</td></tr><tr><td>effectiveTime</td><td>Time</td><td><p>Specifies the inclusive date at which the component version's state became the then current valid state of the component.</p><p><strong>Note</strong> : In distribution files the effectiveTime should follow the short ISO date format (<em>YYYYMM DD</em>) and should not include the hours, minutes, seconds or timezone indicator.</p></td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><p><mark style="color:green;"><strong>YES</strong></mark></p><p>(Full)<br><mark style="color:green;">Optional</mark> (Snapshot)</p></td></tr><tr><td>active</td><td>Boolean</td><td>Specifies whether the concept was active or inactive from the nominal release date specified by the effectiveTime.</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr><tr><td>moduleId</td><td>SCTID</td><td>Identifies the concept version's module. Set to a descendant of <a href="http://snomed.info/id/900000000000443000">900000000000443000 | Module|</a> within the metadata hierarchy.</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr><tr><td>definitionStatusId</td><td>SCTID</td><td>Specifies if the concept version is primitive or defined. Set to a descendant of <a href="http://snomed.info/id/900000000000444006">900000000000444006 | Definition status|</a> in the metadata hierarchy.</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr></tbody></table>

{% hint style="info" %}
PK\* indicates if the attribute is part of the primary key for that file/table.
{% endhint %}

***

Only one concept record with the same id field is current at any point in time. The current record will be the one with the most recent effectiveTime before or equal to the date under consideration. If the active field of this record is false ('0'), then the concept is inactive at that point in time.

When a concept is made inactive, the following operations take place:

* A new row is added to the Concepts file for the concept, with the active flag set to inactive and the definitionStatusId set to primitive;
* All relationships that have as source the concept to be inactivated will themselves be inactivated by adding a new row to the Relationship for each relationship, with the active flag set to inactive;
* All active descriptions associated with the concept will remain unchanged unless incorrect for the concept;
* Rows will be added as needed to the [Historical Association Reference Sets](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/reference-set-release-file-specification/5.2-reference-set-types/5.2.1-content-reference-sets/5.2.1.4-association-reference-set/5.2.5.1-historical-association-reference-sets), to model associations from the inactive concept to other concepts;
* Active descriptions that are still associated with the inactive concept will be added to the [900000000000490003 | Description inactivation indicator reference set|](http://snomed.info/id/900000000000490003) , with an associated value of [900000000000495008 | Concept non-current|](http://snomed.info/id/900000000000495008)

## Related Links

* [Appendix C. Unicode UTF-8 encoding](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-c-unicode-utf-8-encoding)
* [High Level Logical Model of SNOMED CT](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/logical-model/2.1-high-level-logical-model-of-snomed-ct)

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=Concept%20File%20Specification" class="button primary">Provide Feedback</a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/component-release-file-specification/4.2-file-format-specifications/4.2.1-concept-file-specification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
